Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content.x509
Class XMLX509SKI

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.keys.content.x509.XMLX509SKI

All Implemented Interfaces:
  XMLX509DataContent

    public class XMLX509SKI

extends SignatureElementProxy
implements XMLX509DataContent

Handles SubjectKeyIdentifier (SKI) for X.509v3.

See Also:
  Interface X509Extension

Field Summary
`static java.lang.String` | `SKI_OID` `SubjectKeyIdentifier (id-ce-subjectKeyIdentifier) (2.5.29.14)`: This extension identifies the public key being certified.

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc`

Constructor Summary
`XMLX509SKI(org.w3c.dom.Document doc, byte[] skiBytes)` Constructor X509SKI
`XMLX509SKI(org.w3c.dom.Document doc, java.security.cert.X509Certificate x509certificate)` Constructor XMLX509SKI
`XMLX509SKI(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor XMLX509SKI

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`byte[]` | `getSKIBytes()` Method getSKIBytes
`static byte[]` | `getSKIBytesFromCert(java.security.cert.X509Certificate cert)` Method getSKIBytesFromCert
`int` | `hashCode()`

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SKI_OID

    public static final java.lang.String SKI_OID

  `SubjectKeyIdentifier (id-ce-subjectKeyIdentifier) (2.5.29.14)`: This extension identifies the public key being certified. It enables distinct keys used by the same subject to be differentiated (e.g., as key updating occurs).
  A key identifier shall be unique with respect to all key identifiers for the subject with which it is used. This extension is always non-critical.

  See Also:
    Constant Field Values

Constructor Detail

### XMLX509SKI

    public XMLX509SKI(org.w3c.dom.Document doc,
                      byte[] skiBytes)

  Constructor X509SKI

  Parameters:
    `doc` -
    `skiBytes` -

### XMLX509SKI

    public XMLX509SKI(org.w3c.dom.Document doc,
                      java.security.cert.X509Certificate x509certificate)
               throws XMLSecurityException

  Constructor XMLX509SKI

  Parameters:
    `doc` -
    `x509certificate` -
  Throws:
    `XMLSecurityException`

### XMLX509SKI

    public XMLX509SKI(org.w3c.dom.Element element,
                      java.lang.String BaseURI)
               throws XMLSecurityException

  Constructor XMLX509SKI

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

Method Detail

### getSKIBytes

    public byte[] getSKIBytes()
                       throws XMLSecurityException

  Method getSKIBytes

  Returns:
    the skibytes
  Throws:
    `XMLSecurityException`

### getSKIBytesFromCert

    public static byte[] getSKIBytesFromCert(java.security.cert.X509Certificate cert)
                                      throws XMLSecurityException

  Method getSKIBytesFromCert

  Parameters:
    `cert` -
  Returns:
    ski bytes from the given certificate
  Throws:
    `XMLSecurityException`
  See Also:
    `X509Extension.getExtensionValue(java.lang.String)`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD